Generation Framework

## org.eclipse.gmf.tooldef
Interface GenericTool

All Superinterfaces:
  AbstractTool, EObject, Notifier

All Known Implementing Classes:
  GenericToolImpl

public interface GenericTool
extends AbstractTool

A representation of the model object 'Generic Tool'.

The following features are supported:

- `Tool Class`

See Also:
  `GMFToolPackage.getGenericTool()`
** Generated **
Model:

Method Summary
`java.lang.Class` `getToolClass()` Returns the value of the 'Tool Class' attribute
`void` `setToolClass(java.lang.Class value)` Sets the value of the '`Tool Class`' attribute

Methods inherited from interface org.eclipse.gmf.tooldef.AbstractTool
`getDescription, getLargeIcon, getSmallIcon, getTitle, setDescription, setLargeIcon, setSmallIcon, setTitle`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getToolClass

    public java.lang.Class getToolClass()

  Returns the value of the 'Tool Class' attribute.

  If the meaning of the 'Tool Class' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Tool Class' attribute.
  See Also:
    `GenericTool.setToolClass(Class)`, `GMFToolPackage.getGenericTool_ToolClass()`
  ** Generated **
  Model:

### setToolClass

    public void setToolClass(java.lang.Class value)

  Sets the value of the '`Tool Class`' attribute.

  Parameters:
    `value` - the new value of the 'Tool Class' attribute.
  See Also:
    `GenericTool.getToolClass()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.